summaryrefslogtreecommitdiffhomepage
path: root/subr/ex_pkg_state.subr
diff options
context:
space:
mode:
Diffstat (limited to 'subr/ex_pkg_state.subr')
-rw-r--r--subr/ex_pkg_state.subr3
1 files changed, 3 insertions, 0 deletions
diff --git a/subr/ex_pkg_state.subr b/subr/ex_pkg_state.subr
index 4cc0a8b0..cb86bf2f 100644
--- a/subr/ex_pkg_state.subr
+++ b/subr/ex_pkg_state.subr
@@ -29,6 +29,9 @@ ex_pkg_state_init() {
BUILD_NFINI=${BUILD_NSKIP:=${BUILD_NFAIL:=${BUILD_NBUILT:=0}}};
BUILD_TIMES_SECS=$(ex_date %s);
BUILD_PKGS_FAILED="";
+ trap "rm -f ${BUILD_STATUS_IN_PROGRESS_FNAME}; \
+ ex_log_msg failexit \"Build aborted.\";" \
+ HUP INT TERM USR1 USR2;
};
ex_pkg_state_push() {